import 'package:json_annotation/json_annotation.dart';
import 'index.dart';

part 'icon_model.g.dart';

@JsonSerializable()
class IconModel {
  IconModel({
    this.id,
    this.name,
    this.fontFamily,
    this.cssPrefixText,
    this.description,
    this.glyphs,
  });

  String? id;
  String? name;
  @JsonKey(name: 'font_family')
  String? fontFamily;
  @JsonKey(name: 'css_prefix_text')
  String? cssPrefixText;
  String? description;
  List<IconModelGlyphs>? glyphs;

  factory IconModel.fromJson(Map<String, dynamic> json) =>
      _$IconModelFromJson(json);

  Map<String, dynamic> toJson() => _$IconModelToJson(this);
}
